cURL
curl --request PUT \
--url https://api.opal.dev/v1/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groups": [
{
"group_id": "f454d283-ca87-4a8a-bdbb-df212eca5353",
"description": "This group represents Active Directory group \"Payments Production Admin\". We use this AD group to facilitate staging deployments and qualifying new releases.",
"name": "api-group",
"admin_owner_id": "7c86c85d-0651-43e2-a748-d69d658418e8",
"max_duration": 120,
"require_manager_approval": false,
"require_support_ticket": false
},
{
"group_id": "99d0b81d-14be-4cf6-bd27-348b4af1d11b",
"description": "Manages the Integrations Team on-call privileged resources. This group is automatically synced with the on-call rotation defined in PagerDuty.",
"name": "on-call-integrations",
"admin_owner_id": "4220bc12-ab8a-4b5d-be7b-f6bbcf9159f3",
"max_duration": 360,
"require_manager_approval": false,
"require_support_ticket": true
}
]
}
'import requests
url = "https://api.opal.dev/v1/groups"
payload = { "groups": [
{
"group_id": "f454d283-ca87-4a8a-bdbb-df212eca5353",
"description": "This group represents Active Directory group \"Payments Production Admin\". We use this AD group to facilitate staging deployments and qualifying new releases.",
"name": "api-group",
"admin_owner_id": "7c86c85d-0651-43e2-a748-d69d658418e8",
"max_duration": 120,
"require_manager_approval": False,
"require_support_ticket": False
},
{
"group_id": "99d0b81d-14be-4cf6-bd27-348b4af1d11b",
"description": "Manages the Integrations Team on-call privileged resources. This group is automatically synced with the on-call rotation defined in PagerDuty.",
"name": "on-call-integrations",
"admin_owner_id": "4220bc12-ab8a-4b5d-be7b-f6bbcf9159f3",
"max_duration": 360,
"require_manager_approval": False,
"require_support_ticket": True
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
groups: [
{
group_id: 'f454d283-ca87-4a8a-bdbb-df212eca5353',
description: 'This group represents Active Directory group "Payments Production Admin". We use this AD group to facilitate staging deployments and qualifying new releases.',
name: 'api-group',
admin_owner_id: '7c86c85d-0651-43e2-a748-d69d658418e8',
max_duration: 120,
require_manager_approval: false,
require_support_ticket: false
},
{
group_id: '99d0b81d-14be-4cf6-bd27-348b4af1d11b',
description: 'Manages the Integrations Team on-call privileged resources. This group is automatically synced with the on-call rotation defined in PagerDuty.',
name: 'on-call-integrations',
admin_owner_id: '4220bc12-ab8a-4b5d-be7b-f6bbcf9159f3',
max_duration: 360,
require_manager_approval: false,
require_support_ticket: true
}
]
})
};
fetch('https://api.opal.dev/v1/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"groups": [
{
"group_id": "f454d283-ca87-4a8a-bdbb-df212eca5353",
"description": "This group represents Active Directory group \"Payments Production Admin\". We use this AD group to facilitate staging deployments and qualifying new releases.",
"name": "api-group",
"admin_owner_id": "7c86c85d-0651-43e2-a748-d69d658418e8",
"max_duration": 120,
"require_manager_approval": false,
"require_support_ticket": false
},
{
"group_id": "99d0b81d-14be-4cf6-bd27-348b4af1d11b",
"description": "Manages the Integrations Team on-call privileged resources. This group is automatically synced with the on-call rotation defined in PagerDuty.",
"name": "on-call-integrations",
"admin_owner_id": "4220bc12-ab8a-4b5d-be7b-f6bbcf9159f3",
"max_duration": 360,
"require_manager_approval": false,
"require_support_ticket": true
}
]
}Bulk updates a list of groups.
PUT
/
groups
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Groups to be updated
A list of groups with information to update.
Show child attributes
Show child attributes
Response
200 - application/json
The resulting updated group infos.
A list of groups with information to update.
Show child attributes
Show child attributes
Last modified on July 10, 2026
Was this page helpful?
⌘I

